#
# spec file for package filebench
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           filebench
Version:        1.4.9.1+git.20200220
Release:        2.2
Summary:        File system and storage benchmark
License:        CDDL-1.0 and GPL-3.0-or-later+
URL:            https://github.com/filebench/filebench/wiki
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}.1
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  libtool

%description
Filebench is a file system and storage benchmark that allows to generate a
large variety of workloads. Unlike typical benchmarks it is very flexible and
allows to minutely specify (any) applications' behaviour using extensive
Workload Model Language (WML). Filebench uses loadable workload personalities
to allow easy emulation of complex applications (e.g., mail, web, file, and
database servers). Filebench is quick to set up and easy to use compared to
deploying real applications. It is also a handy tool for micro-benchmarking.

%prep
%autosetup

%build
mkdir m4
autoreconf -fiv
%configure \
  --enable-static=no
%make_build

%install
%make_install
install -Dpm 0644 %{SOURCE1} \
  %{buildroot}%{_mandir}/man1/%{name}.1
find %{buildroot} -type f -name "*.la" -delete -print

%files
%license COPYING LICENSE
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
* Tue Sep 12 2023 Lubos Kocman <lubos.kocman@suse.com>
- Correction of license based on legaldb review
  Add GPL-3.0-or-later+ for createdelete-swing.f
* Thu Jun 22 2023 Martin Pluskal <mpluskal@suse.com>
- Update to version 1.4.9.1+git.20200220:
  * Fix issue #138
  * check fs_readonly flag in fileset_alloc_file
  * Update procflow.c
  * wifcontinued
  * Fix filebench build on FreeBSD
  * fix off-by-one error in shm_bitmap
  * Removing obsolute attributes from oltp.f workload
  * Fixing netsfs.f workload
  * Perform complete random variable initialization
- Drop no longer needed:
  * make-dofile-global.patch
* Tue Nov 24 2020 Martin Pluskal <mpluskal@suse.com>
- Small packaging cleanup
* Fri Mar 24 2017 mpluskal@suse.com
- Update project and download url
* Sat Jul  2 2016 mpluskal@suse.com
- Fix building on some architectures:
  * make-dofile-global.patch
- Add manpage
* Thu Apr  9 2015 mpluskal@suse.com
- Tiny spec-file cleanup
* Wed Aug 20 2014 dsterba@suse.cz
- use standard macro and fix build failure on SLE11 SP2
* Mon Aug  5 2013 darin@darins.net
- removed %%clean
- .spec cleanup
* Mon Mar 19 2012 darin@darins.net
- Initial packaging of filebench
